For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
          • GETGet an authentication token
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP Order V2Authentication

Get an authentication token

GET
https://api.feedamp.feedonomics.com/api/v2/get_token
GET
/api/v2/get_token
$curl https://api.feedamp.feedonomics.com/api/v2/get_token \
> -u "<username>:<password>"
1{
2 "token": "53bf15c-this-is-an-example-token-b7769e17d-example-3f82af26f-example-12588b14d-example-15426324a-example-a5b2f721c-example-26fc7"
3}
Use your username/password and <a target="_blank" href="https://en.wikipedia.org/wiki/Basic_access_authentication">HTTP Basic Authentication</a> to get an authentication token Use the token along with your client id in all subsequent requests. When the token expires make another request to this route and get a new token.
Was this page helpful?
Previous

FeedAMP Order API V2

Next

Get orders filtered by search parameters

Built with

Use your username/password and HTTP Basic Authentication to get an authentication token Use the token along with your client id in all subsequent requests. When the token expires make another request to this route and get a new token.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Response

Authentication token
tokenstring
Authentication token to be used in all subsequent requests.

Errors

401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error